// ~/jpHMM/src/jpHMM.h
/**************************************************************
 File name	: jpHMM.h
 Author		: Anne-Kathrin Schultz
 Version	: 2.0
 Date		: Oct 2010

Content:

 - Call of scripts to extend full-length circular genomes
 - Call of BLAT to prealign query sequences to multiple sequence alignment
 - Read in of query sequences
 - Construction of the model (jpHMM)
 - Call of all algorithms (Viterbi, Forward, etc.)
***************************************************************/

#ifndef _JPHMM_H
#define _JPHMM_H
#include <string>
#include "std_header.h"

void jpHMM(string emission_priors_file, string transition_priors_file, string infile, string query_file, bool beam_is_given,
		bool use_ext_em_tr_probs = false, string ep_file_name = "", string tp_file_name = "", string cons_file_name = "");

#endif        // _JPHMM_H
