#ifndef STD_SOURCE_H
#define STD_SOURCE_H

#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include <iostream>
#include <sstream>

#include <iomanip>

#include <list>
#include <map>
#include <set>
#include <string>
#include <vector>


#include <cstring>
#include <cstdlib>
#include <cstdio>
#include <cstddef>
#include <cmath>
#include <ctime>
#include <cassert>
#include <unistd.h>
#include <getopt.h>
#include <dirent.h>
#include <float.h>
#include <math.h>
#include <time.h>


#include <boost/algorithm/string.hpp>
#include <boost/assert.hpp>
#include <boost/assign/std/vector.hpp>
#include <boost/assign/list_of.hpp>
#include <boost/assign/std/set.hpp> 
#include <boost/foreach.hpp>
#define BOOST_DISABLE_ASSERTS
#include "boost/multi_array.hpp"
#include <boost/tokenizer.hpp>
#include <boost/lexical_cast.hpp>
#include <boost/format.hpp> 
#include <boost/scoped_ptr.hpp> 
#include <boost/shared_ptr.hpp> 
#include <boost/tokenizer.hpp> 

#include "io.h"
#include "std_header.h"

using namespace boost;
using namespace boost::assign;
using namespace std;

#define FOREACH         BOOST_FOREACH
#define REVERSE_FOREACH BOOST_REVERSE_FOREACH
#define COMMA ,

#endif

